org.apache.lucene.benchmark.byTask.tasks

## Class ResetSystemEraseTask

- java.lang.Object
- - org.apache.lucene.benchmark.byTask.tasks.PerfTask
  - - org.apache.lucene.benchmark.byTask.tasks.ResetInputsTask
    - - org.apache.lucene.benchmark.byTask.tasks.ResetSystemSoftTask
      - - org.apache.lucene.benchmark.byTask.tasks.ResetSystemEraseTask

- All Implemented Interfaces:
    Cloneable

      public class ResetSystemEraseTask
      extends ResetSystemSoftTask

  Reset all index and input data and call gc, erase index and dir, does NOT clear statistics.
  This contains ResetInputs.
  Other side effects: writers/readers nullified, deleted, closed. Index is erased. Directory is erased.

- - ### Field Summary

    - ### Fields inherited from class org.apache.lucene.benchmark.byTask.tasks.PerfTask

      `logStep, NEW_LINE, params, stopNow`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `ResetSystemEraseTask(PerfRunData runData)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `int` | `doLogic()` Perform the task once (ignoring repetitions specification) Return number of work items done by this task.

    - ### Methods inherited from class org.apache.lucene.benchmark.byTask.tasks.ResetInputsTask

      `shouldNotRecordStats`

    - ### Methods inherited from class org.apache.lucene.benchmark.byTask.tasks.PerfTask

      `clone, close, getAlgLineNum, getBackgroundDeltaPriority, getDepth, getLogMessage, getName, getParams, getRunData, getRunInBackground, isDisableCounting, runAndMaybeStats, setAlgLineNum, setDepth, setDisableCounting, setName, setParams, setRunInBackground, setup, shouldNeverLogAtStart, stopNow, supportsParams, tearDown, toString`

    - ### Methods inherited from class java.lang.Object

      `equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### ResetSystemEraseTask

          public ResetSystemEraseTask(PerfRunData runData)

  - ### Method Detail

    - #### doLogic

          public int doLogic()
                      throws Exception

      Description copied from class: `PerfTask`
      Perform the task once (ignoring repetitions specification) Return number of work items done by this task. For indexing that can be number of docs added. For warming that can be number of scanned items, etc.
      Overrides:
        `doLogic` in class `ResetSystemSoftTask`
      Returns:
        number of work items done by this task.
      Throws:
        `Exception`

Copyright © 2000-2021 Apache Software Foundation. All Rights Reserved.